[tool.poetry]
name = "rag-system"
version = "0.1.0"
description = "A simple RAG (Retrieval-Augmented Generation) system"
authors = ["Peter Morton <Peter.Morton@verint.com>"]
readme = "README.md"

[tool.poetry.dependencies]
python = "^3.12"
black = "^25.1.0"
flake8 = "^7.2.0"
python-dotenv = "^1.1.0"
azure-identity = "^1.23.0"
azure-search-documents = "^11.5.2"
firecrawl-py = "^2.7.0"
tiktoken = "^0.9.0"
bs4 = "^0.0.2"
langchain-ollama = "^0.3.3"
langchain-openai = "^0.3.17"
langchain-chroma = "^0.2.4"
langchain-community = "^0.3.24"
langchain = "^0.3.25"
chromadb = "^1.0.9"
pypdf = "^5.5.0"
streamlit = "^1.45.1"
ollama = "^0.4.8"

[tool.poetry.scripts]
crawler = "rag_system.crawler:main"
clear-index = "rag_system.clear_index:main"

[build-system]
requires = ["poetry-core"]
build-backend = "poetry.core.masonry.api"
